Subject: Re: [PATCH 0/4] hash.h: support choosing a separate SHA-1 for non-cryptographic uses

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Sep 2024 13:44:44 -0700

Taylor Blau <[email-masked]> writes:

> Yeah. I would actually like to get here in the long-term, but of course
> that change is much larger than this one (the protocol would have to be
> adjusted to learn a new "tailsum" capability for callers to negotiate
> which checksumming hash function they want to use, etc.).

I dunno.  I was talking about strictly local tail sum, like the ones
in the index file.  You do not have anybody to negotiate about
anything.

We already agreed that the name of a packfile is a different matter.